Fix “This app requires specific features that are not available on this device” for Minecraft Earth

With Minecraft Earth Early Access now out on IOS, players are rushing to the App Store to install the game. However, many people are being greeted with the following error:

This app requires specific features that are not available on this device

Uh-oh. Unfortunately, this message means that you cannot currently play Minecraft Earth on your device. To play Minecraft Earth, you must have IOS Version 12+, and your device must also support ARKit.

What is ARKit?

ARKit is an app developed by Apple and is used in Minecraft Earth. It’s the app which allows you to place your Minecraft builds in the real world. In other words, if you place down a build on your table, ARKit is the app which causes it to stick there.

The problem is, ARKit requires hardware which some phones don’t have. For instance, a gyroscope or an accelerometer. If your phone lacks one or more things needed for ARKit, then your device cannot run Minecraft Earth.

If either you have an older IOS version, or your phone doesn’t support ARKit, you will be shown the ‘This app requires specific features that are not available on this device‘ error on the App Store.

Why Am I Getting This Error?

You are getting this error message because you either have an outdated IOS version, or your phone doesn’t support ARKit. First, here’s how to check if your IOS version is high enough.

  1. Go to your phone’s settings page
  2. Scroll down and tap “About”
  3. Scroll down to Version

If your IOS version is 12 or above, you have the right version needed for Minecraft Earth.

Now let’s check if your device supports ARKit. If your phone or tablet is listed below then it is compatible with ARKit.

iPhone

  • iPhone 11 Pro
  • iPhone 11 Pro Max
  • iPhone 11
  • iPhone XS
  • iPhone ten s
  • iPhone XS Max
  • iPhone ten s Max
  • iPhone XR
  • iPhone ten r
  • iPhone X
  • iPhone 8
  • iPhone 8 Plus
  • iPhone 7
  • iPhone 7 Plus
  • iPhone 6s
  • iPhone 6s Plus
  • iPhone SE

iPad

  • iPad Pro (all models)
  • iPad Air (3rd generation)
  • iPad mini (5th generation)
  • iPad (5th generation or later)

How To Fix ‘device isn’t compatible’ Error

If you have an outdated IOS version and your device supports ARKit, then all you have to do is update to the latest IOS version. You can do this from the Settings app on your iPhone.

However, if your device isn’t compatible with ARKit then unfortunately it’s bad news. Phones that do not support ARKit cannot play Minecraft Earth. There are no workarounds, no bypasses and no glitches. ARKit is necessary for the Minecraft Earth app to work.

You’re only option is to look into either using a different device for Minecraft Earth, or to purchase a new phone. Be sure to check that it is compatible before purchasing!

Written by Jack Hullis

Leave a Reply

Your email address will not be published. Required fields are marked *